Cregis Developer Docs
POST/api/v1/coins

Query Supported Project Coins

Query the officially supported digital tokens for a specific WaaS project. Use this for reconciliation and pre-validation. The returned chain_id / token_id can be used in address creation, payout, and related APIs.

Rate limit: 1000 requests/minute

Request

Request Body

required

application/json
  • noncestringrequired

    6-character random string.

  • timestampinteger<int64>required

    Timestamp.

  • signstringrequired

    Signature.

  • pidinteger<int64>required

    Project ID.

Responses

200Success
application/json
  • codestring

    Response code.

  • msgstring

    Response message.

  • dataobject

    Response data.

    • payout_coinsarray<object>

      List of tokens that support payouts.

      Array items · object

      • coin_namestring

        Token name.

      • chain_idstring

        Main chain identifier.

      • token_idstring

        Token ID. For tokens, this is the contract address.

    • address_coinsarray<object>

      List of tokens that support sub-address creation. XRP and TON are not supported for API-based sub-address creation.

      Array items · object

      • coin_namestring

        Token name.

      • chain_idstring

        Main chain identifier.

      • token_idstring

        Token ID. For tokens, this is the contract address.